"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
const test_1 = require("../test");
// TODO: After we migrate all usages of this function to specify the optional 'name' parameter, we can change the parameter to be required.
/**
Test all the values in the collection against a provided predicate.

@hidden
@param source Source collection to test.
@param predicate Predicate to test every item in the source collection against.
@param name The name to call the collection of values, such as `values` or `keys`. If it is `undefined`, it uses the call stack to infer the label.
*/
exports.default = (source, predicate, name) => {
    try {
        for (const item of source) {
            if (name) {
                test_1.default(item, name, predicate, false);
            }
            else {
                __1.default(item, predicate);
            }
        }
        return true;
    }
    catch (error) {
        return error.message;
    }
};
